/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worksinglewage.entity;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workattendance.entity.WorkAttendanceRule;


/**
 * 通知通告记录Entity
 * @author jeeplus
 * @version 2014-05-16
 */
public class WorkSingleWageRecord extends DataEntity<WorkSingleWageRecord> {

	private static final long serialVersionUID = 1L;
	private WorkSingleWage workSingleWage;		// 考勤规则id
	private User user;		// 接受人
	private String officeId; //部门id
	private String officeName; //部门id

	public WorkSingleWageRecord() {
		super();
	}

	public WorkSingleWageRecord(String id){
		super(id);
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public WorkSingleWage getWorkSingleWage() {
		return workSingleWage;
	}

	public void setWorkSingleWage(WorkSingleWage workSingleWage) {
		this.workSingleWage = workSingleWage;
	}
}